- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeLine Class Reference
[Ipe Geometry]

A directed line. More...

List of all members.

## Public Member Functions

- IpeLine ()
- IpeLine (const IpeVector &p, const IpeVector &dir)
- double Side (const IpeVector &p) const
- IpeVector Normal () const
- double Distance (const IpeVector &v) const
- bool Intersects (const IpeLine &line, IpeVector &pt)
- IpeVector Project (const IpeVector &v) const
- IpeVector Dir () const

## Static Public Member Functions

- static IpeLine Through (const IpeVector &p, const IpeVector &q)

## Public Attributes

- IpeVector iP

## Detailed Description

A directed line.

## Constructor & Destructor Documentation

IpeLine::IpeLine | ( |  | ) | `[inline, explicit]`

Create default line (x-axis).

IpeLine::IpeLine | ( | const IpeVector & | p,
|  | const IpeVector & | dir |
| ) |  |  | `[explicit]`

Construct a line from p with direction dir.

Asserts unit length of dir.

## Member Function Documentation

IpeLine IpeLine::Through | ( | const IpeVector & | p,
|  | const IpeVector & | q |
| ) |  |  | `[static]`

Construct a line through two points.

double IpeLine::Side | ( | const IpeVector & | p | ) | const

Result is > 0, = 0, < 0 if point lies to the left, on, to the right.

IpeVector IpeLine::Normal | ( |  | ) | const`[inline]`

Return a normal vector pointing to the left of the directed line.

double IpeLine::Distance | ( | const IpeVector & | v | ) | const

Returns distance between line and v.

bool IpeLine::Intersects | ( | const IpeLine & | line,
|  | IpeVector & | pt |
| ) |  |  |

Does this line intersect line? If so, computes intersection point.

IpeVector IpeLine::Project | ( | const IpeVector & | v | ) | const

Orthogonally project point v onto the line.

IpeVector IpeLine::Dir | ( |  | ) | const`[inline]`

Return direction of line.

## Member Data Documentation

IpeVector IpeLine::iP

Point on the line.

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp